tempest(1)

NAME
tempest - functional testing of an OpenStack cloud

SYNOPSIS
tempest functional-test-suite [functional-test-suite]

DESCRIPTION

tempest Tempest is a set of integration tests to be run against a live Openstack cluster in order to make sure that all components are working as expected. Tempest will start and stop virtual machine in order to check that your cloud is working as expected.

Additional configuration files

    Before running any test, you must configure /etc/tempest/tempest.conf

PARAMETERS

Parameters and options

    List all integration tests to be run. The (non-exhaustive) list is: identity, image, compute, network, volume, object_storage, telemetry, orchestration, dashboard. The full python path of the test can also be used. Example: tempest.api.compute.images.test_image_metadata.ImagesMetadataTestXML

EXAMPLE

tempest identity image

    This will run both the Keystone and Glance functional testing.